Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am a newbie to Ubuntu. When I execute a command in a terminal I get an error. The command is:

prompt>./h_affine.ln -haraff -i img1.ppm -o img1.haraff -thres 1000

The error is:

modglue::ext_process::fork: execvp failed.

The above command is for converting an image to an array of values. Please help to sort this out. I have no idea what this error says.

share|improve this question

migrated from stackoverflow.com Jan 30 '12 at 13:26

This question came from our site for professional and enthusiast programmers.

add comment

1 Answer 1

Well ... modglue is a library that helps programs multitask. If the "h_affine.ln" program is doing weird things, you'd best determine who compiled that binary, and ask them for help.

If you're using the stock h_affine binaries for Linux then you might want to consider compiling them for the version of Ubuntu you use. Remember that Ubuntu is not the only Linux, and Linux is not the only unix-style operating system. When dealing with academic tools, it's not uncommon that you'll have to jump through some hoops to get things working the way you want them to.

Also, if you're using a binary that was compiled for a version of Linux that existed five years ago, it's entirely possible that it relies on system libraries that no longer exist in the Linux you're using today.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.